<?php

namespace HubletoApp\External\MyCompany\MyApp\Models;

use \HubletoApp\Community\Settings\Models\User;

use \ADIOS\Core\Db\Column\Varchar;
use \ADIOS\Core\Db\Column\Lookup;

class Contact extends \HubletoMain\Core\Model
{

  public string $table = 'my_app_contacts';
  public string $eloquentClass = Eloquent\Contact::class;

  public array $relations = [ 
    'OWNER' => [ self::BELONGS_TO, User::class, 'id_owner', 'id' ]
  ];

  public function describeColumns(): array
  {
    return array_merge(parent::describeColumns(), [
      'first_name' => (new Varchar($this, $this->translate('First name')))->setRequired(),
      'last_name' => (new Varchar($this, $this->translate('Last name')))->setRequired(),
      'id_responsible' => (new Lookup($this, $this->translate('Responsible'), User::class)),
    ]);
  }

}
